Subject: bug#938: 23.0.60; debug-on-error sometimes fails to debug on error

From: Lars Magne Ingebrigtsen <[email-masked]>
Date: Sun, 11 Sep 2011 19:45:56 +0200

Markus Triska <[email-masked]> writes:

> In emacs -Q, when I evaluate the forms:
>
>    (defun my-err ()
>      (error "Err"))
>
>    (toggle-debug-on-error)   
>
>    (add-hook 'post-command-hook 'my-err)
>
> I get:
>
>    Error in post-command-hook: (error Err)
>
> and do not see the debugger.

I'm not sure this is a bug or a feature.  Having `post-command-hook'
actually throw up a debugging window would make Emacs almost unusable,
wouldn't it?

-- 
(domestic pets only, the antidote for overdose, milk.)
  bloggy blog http://lars.ingebrigtsen.no/